X2Go Bug report logs - #585
Clipboard handling with XFIXES broken

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Ulrich Sibiller <u.sibiller@science-computing.de>

Date: Wed, 27 Aug 2014 21:35:01 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0-27

Fixed in version 2:3.5.0.28

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#585; Package nx-xlibs. (Wed, 27 Aug 2014 21:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <u.sibiller@science-computing.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 27 Aug 2014 21:35:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <u.sibiller@science-computing.de>
To: submit@bugs.x2go.org
Subject: Clipboard handling with XFIXES broken
Date: Wed, 27 Aug 2014 23:31:39 +0200
Package: nx-xlibs
Version: 3.5.0-27

I have found a clipboard problem which only occurs when the XFIXES
extension is active. Sometimes qt applications running inside the
session cannot paste what has been selected outside the session.

Steps to reproduce:
1. start a new session (rootless or desktop, does not matter)
2. start at qt application within the session (I tried konsole and kedit)
3. start an xterm outside the session
4. select/mark some text in the qt app
5. paste the selection in the xterm with middle mouse button -> works
6. select/mark something in the xterm
7. paste the xterm selection with middle mouse button in the qt app ->
does not work, the text selected in step 4 gets pasted instead

I have tried that on Ubuntu 14.04, CentOS 6.5 and OpenSuse 11.4. These
all have different QT (and KDE) versions. I could provoke this on all
versions.

Workaround: turn off XFIXES extension

Some further observation:

If you run xfixes-selection.pl
(http://cpansearch.perl.org/src/KRYDE/X11-Protocol-Other-29/examples/xfixes-selection.pl)
both inside and outside the x2go/nx session while reproducing this you
can see that the SetSelectionOwner event of the XFIXES extension does
not reach the x2goagent when something is selected in the xterm but
both sides receive that event wehn something is selected in the qt
app.


Bug reassigned from package 'nx-xlibs' to 'nx-libs'. Request was from Ulrich Sibiller <u.sibiller@science-computing.de> to control@bugs.x2go.org. (Wed, 27 Aug 2014 21:45:01 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.5.0-27. Request was from Ulrich Sibiller <u.sibiller@science-computing.de> to control@bugs.x2go.org. (Wed, 27 Aug 2014 21:45:01 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0-27. Request was from Ulrich Sibiller <u.sibiller@science-computing.de> to control@bugs.x2go.org. (Wed, 27 Aug 2014 21:45:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Fri, 19 Sep 2014 14:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <u.sibiller@science-computing.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 14:25:02 GMT) Full text and rfc822 format available.

Message #16 received at 585@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <u.sibiller@science-computing.de>
To: 585@bugs.x2go.org
Subject: Easier way to reproduce
Date: Fri, 19 Sep 2014 16:11:39 +0200
I found an easier way to reproduce this: Instead of opening a full NX session one can simply do this:

1. nxagent +extension XFIXES -display :55
2. konsole -display :55
3. open xterm outside of the nxagent
4. then start copying/pasting data as described in the initial bug report

Wenn nxagent is started with -extension XFIXES instead copy/paste works.
-- 
Vorstandsvorsitzender/Chairman of the board of management:
Gerd-Lothar Leonhart
Vorstand/Board of Management:
Dr. Bernd Finkbeiner, Michael Heinrichs, Dr. Arno Steitz
Vorsitzender des Aufsichtsrats/
Chairman of the Supervisory Board:
Philippe Miltin
Sitz/Registered Office: Tuebingen
Registergericht/Registration Court: Stuttgart
Registernummer/Commercial Register No.: HRB 382196

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Tue, 04 Nov 2014 22:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 04 Nov 2014 22:55:02 GMT) Full text and rfc822 format available.

Message #21 received at 585@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: 585@bugs.x2go.org
Subject: Fix
Date: Tue, 4 Nov 2014 23:51:35 +0100
[Message part 1 (text/plain, inline)]
Without XFIXES the client calls GetSelectionOwner() before every paste
operation and therefor always knows the current selection owner.

With XFIXES some clients rely solely on the
XFixesSelectSelectionInput/XFixesSelectionNotify mechanism. But they
never receive any notifications because the nxagent does not register
at the real X server to receive those notifications itself and so
never gets anything to forward to the clients. A client assuming it
will get informed about owner changes skips the GetSelectionOwner()
call. So it never knows that the selection owner has changed and
refers to what it thinks the current owner is (itself).

Attached is a fix for this bug. nxagent calls
XFixesSelectSelectionInput for all its selections (t.i. CLIPBOARD and
PRIMARY, _not_ SECONDARY) now. It (still) does not check the return
code but the original code registering only CLIPBOARD did neither...

This is a complete patch generated by git format-patch after using
(d)quilt as documented in the wiki.

As I did not find any hints of what patch number to choose I took 207
to put it as close as possible to other clipboard related patches.
Feel free to change that...


Uli
[fix_585.diff (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Wed, 05 Nov 2014 09:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 05 Nov 2014 09:05:02 GMT) Full text and rfc822 format available.

Message #26 received at 585@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ulrich Sibiller <uli42@gmx.de>, 585@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#585: Fix
Date: Wed, 05 Nov 2014 09:04:53 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 patch


Hi Uli,

On  Di 04 Nov 2014 23:51:35 CET, Ulrich Sibiller wrote:

> Without XFIXES the client calls GetSelectionOwner() before every paste
> operation and therefor always knows the current selection owner.
>
> With XFIXES some clients rely solely on the
> XFixesSelectSelectionInput/XFixesSelectionNotify mechanism. But they
> never receive any notifications because the nxagent does not register
> at the real X server to receive those notifications itself and so
> never gets anything to forward to the clients. A client assuming it
> will get informed about owner changes skips the GetSelectionOwner()
> call. So it never knows that the selection owner has changed and
> refers to what it thinks the current owner is (itself).
>
> Attached is a fix for this bug. nxagent calls
> XFixesSelectSelectionInput for all its selections (t.i. CLIPBOARD and
> PRIMARY, _not_ SECONDARY) now. It (still) does not check the return
> code but the original code registering only CLIPBOARD did neither...
>
> This is a complete patch generated by git format-patch after using
> (d)quilt as documented in the wiki.
>
> As I did not find any hints of what patch number to choose I took 207
> to put it as close as possible to other clipboard related patches.
> Feel free to change that...
>
>
> Uli

Cool! The patch looks good. Even the integration in the quilt based  
patching mechanism we use with nx-libs.

I will apply your patch and run a test build in a minute.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 585-submit@bugs.x2go.org. (Wed, 05 Nov 2014 09:05:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Wed, 05 Nov 2014 09:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 05 Nov 2014 09:15:01 GMT) Full text and rfc822 format available.

Message #33 received at 585@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 585-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 585@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Wed, 5 Nov 2014 10:10:05 +0100 (CET)
tag #585 pending
fixed #585 2:3.5.0.28
thanks

Hello,

X2Go issue #585 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=d1f0401

The issue will most likely be fixed in src:nx-libs (2:3.5.0.28).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit d1f040121c5e2452ca2e8f76fe3ff5256188e6f8
Author: Ulrich Sibiller <uli42@gmx.de>
Date:   Wed Nov 5 10:07:39 2014 +0100

    Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling when XFIXES is enabled. (Fixes: #585)

diff --git a/debian/changelog b/debian/changelog
index 766db52..b716f97 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -37,6 +37,10 @@ nx-libs (2:3.5.0.28-0x2go1) UNRELEASED; urgency=medium
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 
+  [ Ulrich Sibiller ]
+  * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
+    when XFIXES is enabled. (Fixes: #585).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 30 Jun 2014 15:05:54 +0200
 
 nx-libs (2:3.5.0.27-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Nov 2014 09:15:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.28. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Nov 2014 09:15:02 GMT) Full text and rfc822 format available.

Message sent on to Ulrich Sibiller <u.sibiller@science-computing.de>:
Bug#585. (Wed, 05 Nov 2014 09:15:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Wed, 05 Nov 2014 11:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 05 Nov 2014 11:15:02 GMT) Full text and rfc822 format available.

Message #45 received at 585@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 585@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: [X2Go-Dev] Bug#585: Bug#585: Fix
Date: Wed, 05 Nov 2014 11:13:57 +0000
[Message part 1 (text/plain, inline)]
Hi Ulrich,

On  Mi 05 Nov 2014 10:04:53 CET, Mike Gabriel wrote:

> Control: tag -1 patch
>
>
> Hi Uli,
>
> On  Di 04 Nov 2014 23:51:35 CET, Ulrich Sibiller wrote:
>
>> Without XFIXES the client calls GetSelectionOwner() before every paste
>> operation and therefor always knows the current selection owner.
>>
>> With XFIXES some clients rely solely on the
>> XFixesSelectSelectionInput/XFixesSelectionNotify mechanism. But they
>> never receive any notifications because the nxagent does not register
>> at the real X server to receive those notifications itself and so
>> never gets anything to forward to the clients. A client assuming it
>> will get informed about owner changes skips the GetSelectionOwner()
>> call. So it never knows that the selection owner has changed and
>> refers to what it thinks the current owner is (itself).
>>
>> Attached is a fix for this bug. nxagent calls
>> XFixesSelectSelectionInput for all its selections (t.i. CLIPBOARD and
>> PRIMARY, _not_ SECONDARY) now. It (still) does not check the return
>> code but the original code registering only CLIPBOARD did neither...
>>
>> This is a complete patch generated by git format-patch after using
>> (d)quilt as documented in the wiki.
>>
>> As I did not find any hints of what patch number to choose I took 207
>> to put it as close as possible to other clipboard related patches.
>> Feel free to change that...
>>
>>
>> Uli
>
> Cool! The patch looks good. Even the integration in the quilt based  
> patching mechanism we use with nx-libs.
>
> I will apply your patch and run a test build in a minute.
>
> Mike

The patch indeed fixes the problem! Thanks for your good work!!!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Thu, 13 Nov 2014 21:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:07 GMT) Full text and rfc822 format available.

Message #50 received at 585@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 585-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 585@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:48 +0100 (CET)
close #585
thanks

Hello,

we are very hopeful that X2Go issue #585 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f13f6a6adaa8d33f105041c1b9f52985e75a5912;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#585; Package nx-libs. (Thu, 13 Nov 2014 21:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:08 GMT) Full text and rfc822 format available.

Message #55 received at 585@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 585-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 585@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:45 +0100 (CET)
close #585
thanks

Hello,

we are very hopeful that X2Go issue #585 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=39202bb0cfad1a5d78135a205033398003769997;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Nov 2014 21:00:18 GMT) Full text and rfc822 format available.

Notification sent to Ulrich Sibiller <u.sibiller@science-computing.de>:
Bug acknowledged by developer. (Thu, 13 Nov 2014 21:00:18 GMT) Full text and rfc822 format available.

Message sent on to Ulrich Sibiller <u.sibiller@science-computing.de>:
Bug#585. (Thu, 13 Nov 2014 21:00:22 GMT) Full text and rfc822 format available.

Message sent on to Ulrich Sibiller <u.sibiller@science-computing.de>:
Bug#585. (Thu, 13 Nov 2014 21:00:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 12 Dec 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue May 21 20:57:55 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.